lksctp-tools (1.0.18+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:28 +0800

lksctp-tools (1.0.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Update debian/watch to track new upstream releases on GitHub
  * Use Files-Excluded to remove non-DFSG-free drafts and RFCs
  * Make no-patch-numbers the default for gbp pq
  * Bump Standards-Version to 4.2.1
  * Fix installation of netinet/sctp.h
  * Update library version-info to match current upstream version

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2018 23:34:02 +0200

lksctp-tools (1.0.17+dfsg-2) unstable; urgency=medium

  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11
  * Switch to dh_missing and abort on uninstalled files
  * Mark libsctp-dev as Multi-Arch: same

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 22:44:39 +0100

lksctp-tools (1.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Stop overriding dh_autoreconf, not really necessary anymore.
  * Install new pkg-config file.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 17:44:39 +0200

lksctp-tools (1.0.16+dfsg-3) unstable; urgency=medium

  * libsctp1: Demote lksctp-tools from Recommends to Suggests.
  * Rework package descriptions. (Closes: #707739)
    Thanks Martin Eberhard Schauer and Justin B Rye.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Vcs-* fields to use the canonical Alioth URLs and use https for
    Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Sep 2015 18:09:51 +0200

lksctp-tools (1.0.16+dfsg-2) unstable; urgency=medium

  * Mark binary packages as linux-any.
    lksctp-tools is Linux specific and FTBFS on kFreeBSD and GNU/Hurd.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Apr 2014 10:07:50 +0200

lksctp-tools (1.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2014 18:08:35 +0100

lksctp-tools (1.0.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove 01-withsctp-quote-command-line-args.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 May 2013 23:32:14 +0200

lksctp-tools (1.0.14+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 May 2013 08:45:31 +0200

lksctp-tools (1.0.14+dfsg-2) experimental; urgency=low

  * Cherry-pick patch from upstream Git to properly fix quoted command line
    arguments in withsctp. (Closes: #705171)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Apr 2013 17:32:42 +0200

lksctp-tools (1.0.14+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Use the bootstrap script provided by upstream when running dh_autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Apr 2013 14:00:59 +0200

lksctp-tools (1.0.13+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Move packaging to collab-maint using git and git-puildpackage.
  * Add Vcs-* headers accordingly.
  * Use pristine-tar with git-buildpackage.
  * Use repack script from pkg-perl to automatically remove the non-free rfc
    documents. See http://pkg-perl.alioth.debian.org/howto/repacking.html.
  * Generate build system using dh-autoreconf.
  * Update symbols file for libsctp1.
  * Strip debian/tmp/ from .install files.
  * Fold libsctp-dev.manpages into libsctp-dev.install.
  * Use dh_install --list-missing to show uninstalled files.
  * Stop installing libtool .la files.
  * Bump debhelper compatibility level to 9 which enables multi-arch in dh.
  * Install library files from multi-arch paths and mark libsctp1 as
    Multi-Arch: same.
  * Rewrite copyright file using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.4.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 05:18:14 +0100

lksctp-tools (1.0.11+dfsg-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
  * Bump debhelper compatibility level to 8. Update Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.1. No further changes.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Convert debian/rules to use dh.
    - Add debian/lksctp-tools.docs to install README and AUTHORS file.
  * debian/patches/01-withsctp-quote-command-line-args.patch
    - Properly quote command line arguments in withsctp. (Closes: #606322)

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 08:05:43 +0100

lksctp-tools (1.0.11+dfsg-1) unstable; urgency=low

  * New upstream release
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * Bump Standards-Version to 3.8.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Oct 2009 05:01:29 +0200

lksctp-tools (1.0.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * debian/copyright
    - Add a note why the upstream tarball has been repackaged and which files
      have been removed.
  * debian/watch
    - Fix regex to match version numbers with more than one digit.
    - Use +dfsg suffix.
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.
  * debian/libsctp1.symbols
    - The sctp_connectx() function was updated to conform to the spec.
      To preserve the ABI, symbol versioning has been added by upstream.
      Update the symbols file accordingly.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Apr 2009 11:53:58 +0200

lksctp-tools (1.0.9.dfsg-2) unstable; urgency=low

  * debian/rules 
    - Stop mangling paths in withsctp, fixed upstream.
    - Include debhelper.mk before any other files as recommended by the cdbs
      documentation.
    - Remove DEB_SHLIBDEPS_INCLUDE, dpkg-shlibdeps works fine without it
      nowadays.
  * debian/control
    - Add ${misc:Depends} to libsctp-dev package.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/copyright
    - Refer to the versioned LGPL-2.1 and GPL-2 files in
      /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 15:26:55 +0100

lksctp-tools (1.0.9.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    - Bump Standards-Version to 3.8.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2008 01:46:41 +0200

lksctp-tools (1.0.8.dfsg-2) unstable; urgency=low

  * Add symbols file for libsctp1. 

 -- Michael Biebl <biebl@debian.org>  Fri, 30 May 2008 03:30:42 +0200

lksctp-tools (1.0.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/man/withsctp.1
    - Add missing .SH stanza to the AUTHORS section.
  * debian/rules
    - Pass the correct expression directly to sed instead of using the
      external fix.withsctp file.
  * debian/fix.withsctp
    - Removed, no longer required.
  * debian/control
    - Drop Conflicts with sctplib which has become obsolete and removed from
      the archive. The last version available is in sarge (oldstable).

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2008 19:33:28 +0100

lksctp-tools (1.0.7.dfsg-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop Recommends: linux-image-2.6-486 | linux-image-2.6 for libsctp1.
      The default Linux kernel in Debian is now 2.6, so this has become
      obsolete.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Jan 2008 00:33:12 +0100

lksctp-tools (1.0.7.dfsg-2) unstable; urgency=low

  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Update the package recommendations: 
      kernel-image-2.6 is no longer available in the archive, so remove it.
      linux-image-2.6-386 has been superseded by linux-image-2.6-486.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Oct 2007 19:01:00 +0200

lksctp-tools (1.0.7.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    + Replace Source-Version with binary:Version.
    + Drop Build-Depends on linux-kernel-headers, automake1.9, autoconf,
      and libtool, add autotools-dev.
  * debian/patches/man_page_sctp_recvmsg_fix.diff
    + Removed, merged upstream.
  * debian/rules
    + Do not regenerate the autotools build system anymore.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2007 18:24:18 +0200

lksctp-tools (1.0.6.dfsg-4) unstable; urgency=low

  * Update maintainer email address to biebl@debian.org. 

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Oct 2006 20:23:28 +0200

lksctp-tools (1.0.6.dfsg-3) unstable; urgency=low

  * Drop debconf note (closes: #388917). 
    Debian now ships an SCTP enabled kernel by default.

 -- Michael Biebl <biebl@teco.edu>  Fri, 29 Sep 2006 01:25:16 +0200

lksctp-tools (1.0.6.dfsg-2) unstable; urgency=low

  * Updated watch file to match the .dfsg version appendix.
  * Bumped debhelper compatibility to 5.
  * Fixed a bug in the debconf template and updated the translations. Switched
    the German translation to UTF-8.

 -- Michael Biebl <biebl@teco.edu>  Wed, 17 May 2006 09:47:02 +0200

lksctp-tools (1.0.6.dfsg-1) unstable; urgency=low

  * Removed non-free documentation (closes: #365178).
    + Repackaged upstream tarball and removed doc/draft*.txt and doc/rfc*.txt.
    + Dropped the package lksctp-tools-doc completely. People interested in
      the documentation should go to the project homepage. You can find the
      links to the drafts and RFCs there.
  * Bumped Standards-Version to 3.7.2, no further changes required.

 -- Michael Biebl <biebl@teco.edu>  Mon, 17 Apr 2006 20:01:30 +0200

lksctp-tools (1.0.6-2) unstable; urgency=low

  * Improved long description in debian/control. Make use of the standard
    "Homepage:" specifier.
  * Added patch man_page_sctp_recvmsg_fix.diff which fixes the parameter
    description of the sctp_recvmsg function (closes: #362130).
    Included simple-patchsys.mk in debian/rules to apply the patch.
    Thanks to Thomas Themel for the patch.

 -- Michael Biebl <biebl@teco.edu>  Mon, 17 Apr 2006 19:21:59 +0200

lksctp-tools (1.0.6-1) unstable; urgency=low

  * New upstream release. It runs on Linux kernel 2.6.16 and below.

 -- Michael Biebl <biebl@teco.edu>  Tue,  7 Feb 2006 03:15:38 +0100

lksctp-tools (1.0.5-1) unstable; urgency=low

  * New upstream release. It is based on the latest release of Linux kernel
    2.6.15. 

 -- Michael Biebl <biebl@teco.edu>  Thu,  5 Jan 2006 19:30:47 +0100

lksctp-tools (1.0.4-2) unstable; urgency=low

  * Tell dh_shlibdeps where to find our own libraries. 

 -- Michael Biebl <biebl@teco.edu>  Sun, 18 Dec 2005 10:16:40 +0100

lksctp-tools (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Added fixed server address in debian/watch as uscan can't handle
    sourceforge mirrors.
  * Autotools generated files were removed by upstream. 
    Added build dependencies to automake1.9, autoconf and libtool and
    changed debian/rules to create them before compilation.

 -- Michael Biebl <biebl@teco.edu>  Wed,  2 Nov 2005 16:19:50 +0100

lksctp-tools (1.0.3-4) unstable; urgency=low

  * Added Swedish translation for debconf template (closes: #332344).
    Thanks to Daniel Nylander.
  * Updated recommendation of libsctp1 to "linux-image-2.6-386 |
    linux-image-2.6 | kernel-image-2.6" (closes: #335081).

 -- Michael Biebl <biebl@teco.edu>  Mon, 24 Oct 2005 17:59:51 +0200

lksctp-tools (1.0.3-3) unstable; urgency=low

  * Updated dependency on debconf for libsctp1.

 -- Michael Biebl <biebl@teco.edu>  Mon, 26 Sep 2005 22:11:16 +0200

lksctp-tools (1.0.3-2) unstable; urgency=low

  * Removed useless build dependency on build-essential which was 
    generated by cdbs.

 -- Michael Biebl <biebl@teco.edu>  Mon,  5 Sep 2005 18:42:30 +0200

lksctp-tools (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Switched build system to cdbs.

 -- Michael Biebl <biebl@teco.edu>  Fri,  2 Sep 2005 17:03:29 +0200

lksctp-tools (1.0.2-4) unstable; urgency=low

  * Added Czech translation for debconf template (closes: #316890).
    Thanks to Miroslav Kure.
  * libsctp-dev: "Suggests: lksctp-tools-doc" added.
  * libsctp-dev: "Recommends: lksctp-tools-doc" removed.

 -- Michael Biebl <biebl@teco.edu>  Tue, 19 Jul 2005 21:08:06 +0200

lksctp-tools (1.0.2-3) unstable; urgency=low

  * Added Vietnamese translation for debconf template (closes: #314273).
    Thanks to Clytie Siddall.
  * Updated to standards version 3.6.2. 

 -- Michael Biebl <biebl@teco.edu>  Tue, 28 Jun 2005 01:13:07 +0200

lksctp-tools (1.0.2-2) unstable; urgency=low

  * Replaced patch file with a sed routine (closes: #311784) 

 -- Michael Biebl <biebl@teco.edu>  Fri,  3 Jun 2005 22:46:16 +0200

lksctp-tools (1.0.2-1) unstable; urgency=low

  * New upstream release.  

 -- Michael Biebl <biebl@teco.edu>  Fri,  7 Jan 2005 19:00:47 +0100

lksctp-tools (1.0.1-6) unstable; urgency=low

  * Removed bashism from libsctp1.config (closes: #276636)
  * Incorporated newest bug fixes.

 -- Michael Biebl <biebl@teco.edu>  Tue, 26 Oct 2004 02:20:36 +0200

lksctp-tools (1.0.1-5) unstable; urgency=low

  * Added Japanese translation for debconf template
    (closes: #259795). Thanks to Hideki Yamame.
  * Removed Build-Dependency to po-debconf (debhelper already has a
    dependency to po-debconf)

 -- Michael Biebl <biebl@teco.edu>  Sat, 17 Jul 2004 16:50:04 -0400

lksctp-tools (1.0.1-4) unstable; urgency=low

  * Added German and French translations for debconf templates
    (closes: #254600). Thanks to Nicolas Bertolissio for the french
    translation.
  * Incorporated newest bug fixes. 

 -- Michael Biebl <biebl@teco.edu>  Wed, 16 Jun 2004 19:45:03 -0400

lksctp-tools (1.0.1-3) unstable; urgency=low

  * libsctp1: Fixed 2 bugs in kernel version detection routine
    (closes: #249888).
  * libsctp-dev: "Recommends: lksctp-tools-doc" added.
  * libsctp1: "Recommends: lksctp-tools" added.
  * Updated Standards-Version to 3.6.1.0.
  * Removed Build-Dependency to automake, autoconf and libtool. 

 -- Michael Biebl <biebl@teco.edu>  Fri, 21 May 2004 21:17:33 -0400

lksctp-tools (1.0.1-2) unstable; urgency=low

  * Removed dependency to kernel-image-2.6 in libsctp1
    (closes: #248571, #248572). Made the library only recommend
    kernel-image-2.6.
  * Added a check which displays a warning message during installation
    if kernel has no SCTP support.

 -- Michael Biebl <biebl@teco.edu>  Mon, 17 May 2004 18:17:45 -0400

lksctp-tools (1.0.1-1) unstable; urgency=low

  * New upstream release. 

 -- Michael Biebl <biebl@teco.edu>  Tue, 11 May 2004 16:43:03 -0400

lksctp-tools (1.0.0-3) unstable; urgency=low

  * Initial upload (closes: #199972).

 -- Michael Biebl <biebl@teco.edu>  Wed, 28 Apr 2004 13:03:01 -0400

lksctp-tools (1.0.0-2) unstable; urgency=low

  * Updated copyright file and improved description.
  * Added src/include to include path so that gcc finds netinet/sctp.h when
    compiling withsctp.
  * Thanks to ARAKI Yasuhiro <ar@debian.org>. He will sponsor this package.

 -- Michael Biebl <biebl@teco.edu>  Wed, 28 Apr 2004 10:18:12 -0400

lksctp-tools (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Michael Biebl <biebl@teco.edu>  Wed, 14 Apr 2004 10:44:35 -0400
